## org.jboss.jmx.client
Interface ConnectorFactoryServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  ConnectorFactoryService

public interface ConnectorFactoryServiceMBean
extends ServiceMBean

Factory delivering a list of servers and its available protocol connectors and after selected to initiate the connection This is just the (incomplete) interface of it

Author:
  Andreas "Mad" Schaefer

Field Summary
`static java.lang.String` `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`JMXConnector` `createConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Initiate a connection to the given server with the given protocol
`java.util.Iterator` `getConnectors(java.util.Hashtable pProperties, ConnectorFactoryImpl.IConnectorTester pTester)` Look up for all registered JMX Connector at a given JNDI server
`void` `removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)` Removes the given connection and frees the resources

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### getConnectors

    public java.util.Iterator getConnectors(java.util.Hashtable pProperties,
                                            ConnectorFactoryImpl.IConnectorTester pTester)

  Look up for all registered JMX Connector at a given JNDI server
  Parameters:
    `pProperties` - List of properties defining the JNDI server
    `pTester` - Connector Tester implementation to be used
  Returns:
    An iterator on the list of ConnectorNames representing the found JMX Connectors

### createConnection

    public JMXConnector createConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Initiate a connection to the given server with the given protocol
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector
  Returns:
    JMX Connector or null if server or protocol is not supported

### removeConnection

    public void removeConnection(ConnectorFactoryImpl.ConnectorName pConnector)

  Removes the given connection and frees the resources
  Parameters:
    `pConnector` - Connector Name used to identify the remote JMX Connector

Copyright © 2000 The JBoss Organization. All Rights Reserved.